Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class OLEShape

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.Picture
                  org.apache.poi.hslf.model.OLEShape

    public final class OLEShape

extends Picture

A shape representing embedded OLE obejct.

Author:
  Yegor Kozlov

Field Summary
`protected ExEmbed` | `_exEmbed`

Fields inherited from class org.apache.poi.hslf.model.Picture
`DIB, EMF, JPEG, PICT, PNG, WMF`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`_clientData, _clientRecords, DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`_escherContainer, _fill, _parent, _sheet, EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, logger, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` | `OLEShape(EscherContainerRecord escherRecord, Shape parent)` Create a `OLEShape` object
`` | `OLEShape(int idx)` Create a new `OLEShape`
`` | `OLEShape(int idx, Shape parent)` Create a new `OLEShape`

Method Summary
`ExEmbed` | `getExEmbed()` Return the record container for this embedded object.
`java.lang.String` | `getFullName()` Returns the full name of the embedded object, e.g.
`java.lang.String` | `getInstanceName()` Returns the instance name of the embedded object, e.g.
`ObjectData` | `getObjectData()` Returns unique identifier for the OLE object.
`int` | `getObjectID()` Returns unique identifier for the OLE object.
`java.lang.String` | `getProgID()` Returns the ProgID that stores the OLE Programmatic Identifier.

Methods inherited from class org.apache.poi.hslf.model.Picture
`afterInsert, createSpContainer, draw, getEscherBSERecord, getPictureData, getPictureIndex, getPictureName, setDefaultSize, setPictureName`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`createSpContainer, getClientDataRecord, getClientRecords, getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation, updateClientData`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getColor, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType, setSheet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _exEmbed

    protected ExEmbed _exEmbed

Constructor Detail

### OLEShape

    public OLEShape(int idx)

  Create a new `OLEShape`

  Parameters:
    `idx` - the index of the picture

### OLEShape

    public OLEShape(int idx,
                    Shape parent)

  Create a new `OLEShape`

  Parameters:
    `idx` - the index of the picture
    `parent` - the parent shape

### OLEShape

    protected OLEShape(EscherContainerRecord escherRecord,
                       Shape parent)

  Create a `OLEShape` object

  Parameters:
    `escherRecord` - the `EscherSpContainer` record which holds information about this picture in the `Slide`
    `parent` - the parent shape of this picture

Method Detail

### getObjectID

    public int getObjectID()

  Returns unique identifier for the OLE object.

  Returns:
    the unique identifier for the OLE object

### getObjectData

    public ObjectData getObjectData()

  Returns unique identifier for the OLE object.

  Returns:
    the unique identifier for the OLE object

### getExEmbed

    public ExEmbed getExEmbed()

  Return the record container for this embedded object.

  It contains: 1. ExEmbedAtom.(4045) 2. ExOleObjAtom (4035) 3. CString (4026), Instance MenuName (1) used for menus and the Links dialog box. 4. CString (4026), Instance ProgID (2) that stores the OLE Programmatic Identifier. A ProgID is a string that uniquely identifies a given object. 5. CString (4026), Instance ClipboardName (3) that appears in the paste special dialog. 6. MetaFile( 4033), optional

### getInstanceName

    public java.lang.String getInstanceName()

  Returns the instance name of the embedded object, e.g. "Document" or "Workbook".

  Returns:
    the instance name of the embedded object

### getFullName

    public java.lang.String getFullName()

  Returns the full name of the embedded object, e.g. "Microsoft Word Document" or "Microsoft Office Excel Worksheet".

  Returns:
    the full name of the embedded object

### getProgID

    public java.lang.String getProgID()

  Returns the ProgID that stores the OLE Programmatic Identifier. A ProgID is a string that uniquely identifies a given object, for example, "Word.Document.8" or "Excel.Sheet.8".

  Returns:
    the ProgID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.